Subject: [TR] London Barn Find - at least one Stag...

From: [email-masked]
Date: Tue, 07 Sep 2021 18:32:59 -0500

I ran across this interesting video - recorded just a few days ago - 
reporting on the "London Barn Find".

Interesting stuff! A fair number of MBs, Beemers and Porches, a bunch of 
MGBs and at least one Stag that I saw. I slowed down the YouTube 
playback to 0.5 just to get a better look at the toys.

I'd love to get more about the story of where these came from and why 
they're there!
  see https://youtu.be/T_KJwtCcPIo

Lee
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive